Hello everyone,
I’m getting a bunch of warning: Invalid argument supplied for foreach() messages for different modules I’ve installed. I’ve done also some research checking in the issues log on this forum but couldn’t find a clear description of this issue or something that might give me a hint on how to fix this. The easiest way to get rid of these warning messages is to uninstall the module or have it fixed by the module owner but that defeats the purpose of this message J If you have any idea please let me know.

See below the list of warnings I’m getting.

warning: Invalid argument supplied for foreach() in .../includes/menu.inc on line 260.
warning: Invalid argument supplied for foreach() in .../sites/all/modules/subscribed/subscribed.module on line 361.
warning: Invalid argument supplied for foreach() in .../sites/all/modules/schedule/schedule.module on line 862.

I`m using:
Drupal 6.26
MySQL database 5.0.91
PHP 5.2.17
Web server Apache/2

modules:

Menu 6.26
Subscribed 6.x-1.1-beta2
Schedule 6.x-1.1-beta2

Do you know about any tips and trick on how to fix these annoying warning messages?

Regards,
Dan

Comments

Given that these modules have not been maintained for over a year and never got out of the "beta" stage, it seems unwise to use them. Have you been using them for a while? There are probably other alternatives. The Schedule project even mentions http://drupal.org/project/scheduler which is actively maintained.

Otherwise, you have access to the source code in the modules.

I'm getting the same argument along with a this fatal error message and nobody seems to want to help on this issue. I am unable to get back into my site. So I'm going through the back-end and review the files from there. But no progress.. this sucks! =\ .lol

Notice: Undefined index: args in .../sites/all/modules/commerce_devel/commerce_devel.module on line 95

Warning: Invalid argument supplied for foreach() in .../sites/all/modules/commerce_devel/commerce_devel.module on line 95

Notice: Undefined index: args in /sites/all/modules/commerce_devel/commerce_devel.module on line 95

Warning: Invalid argument supplied for foreach() in .../sites/all/modules/commerce_devel/commerce_devel.module on line 95

Notice: Undefined index: args in .../sites/all/modules/commerce_devel/commerce_devel.module on line 95

Warning: Invalid argument supplied for foreach() in .../sites/all/modules/commerce_devel/commerce_devel.module on line 95

Fatal error: require_once() [function.require]: Failed opening required '/twitter.lib.php' (include_path='.:/usr/local/php5/lib/php:.../sites/all/modules/aes/phpseclib') in .../sites/all/modules/twitter/twitter.inc on line 7

I suggest you open an issue in the Commerce Devel queue http://drupal.org/project/issues/commerce_devel

thank you for the suggestion and finding it for me. I'm a semi-newbie ...lol... I have not been here since the early 2000 ..... I'm getting back in again .... but thanks again